ESO Safe 1.4.1 Hotfix
================

This is a hotfix with the purpose to amend issues with custom game client paths not following the default pattern. Consider this example:

If you installed the game on your C: drive you might have a installation path (where your Launcher.exe is):

    C:\Games\Elder Scrolls Online\

Then the game would create three folders in the C:\Games\ folder, one for each server you have activated/installed. 

    C:\Games\The Elder Scrolls Online (US megaserver)
    C:\Games\The Elder Scrolls Online EU (EU megaserver)
    C:\Games\The Elder Scrolls Online PTS (public test server)

Normally this would be fine. However, should you have customized the location of any of the above three folders then ESO Safe is unable to figure out where to find the installed game clients. With this hotfix you will be able to manually set the locations to these three game clients. This is possible trhough manually set these four new keys in the user.config (see section _Locate your settings file_) file:

    GameClientPathEU (path to the EU game client)
    GameClientPathEU (path to the EU game client)
    GameClientPathPTS
    UseCustomGameClientPaths


*Installation*
1. Close ESO Safe (if it's running)
2. Open your ESO Safe installation folder (typically `%programfiles%\Xilent\ESO Safe\`)
2. Copy and replace ESOSafe.exe from this archive into your installation folder
3. Edit your settings file (see section _Locate your settings file_ below)
4. Make sure `GameClientPathUS`, `GameClientPathEU` and `GameClientPathPTS` keys are present and has correct paths
5. Make sure sure `UseCustomGameClientPaths` is set to _True_ (i.e. has value node: `<value>True</value>`)
6. Start ESO Safe

Note: if you start ESO Safe between step 2 & 3 some (or all) of the settings might have been added to the config file automatically, however it is recommended to do this manally before you start ESO Safe


*Locate your settings file*
1.  First of all, open/locate the folder `C:\Users\{USERNAME}\AppData\Local\Xilent\` (shorthand version should also work `%appdata%\..Local\Xilent`)
2.  Then find the last modified folder (if you find more than one subfolder) with a name matching the pattern `ESOSafe.exe_Url_xxxxxx`, open the folder
3.  Here you should find at least one subfolder following the pattern 1.x.xxxx.xxxxx (probably 1.2.xxxx or 1.3.xxxx), open the one with the highest number or last modified (most likely the same)
4.  Open the file named "user.config" in Notepad (or any text editor)



*Example user.config*
The three keys `GameClientPathUS`, `GameClientPathEU` and `GameClientPathPTS` sets the path to the three possible game clients. Change the <value> node currently relevant to the actual path of your game client. The you need to make sure `UseCustomGameClientPaths` is set to _True_
```
    <setting name="GameClientPathEU" serializeAs="String">
        <value>C:\Games\The Elder Scrolls Online EU</value>
    </setting>
    <setting name="GameClientPathUS" serializeAs="String">
        <value>C:\Games\The Elder Scrolls Online</value>
    </setting>
    <setting name="GameClientPathPTS" serializeAs="String">
        <value>C:\Games\The Elder Scrolls Online PTS</value>
    </setting>
    <setting name="UseCustomGameClientPaths" serializeAs="String">
        <value>True</value>
    </setting>
```

